/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controllers;

import business.CatalogSingleton;
import domain.Product;
import java.util.ArrayList;
import javax.ejb.EJB;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import business.DateStateless;
import javax.faces.bean.RequestScoped;

/**
 *
 * @author hardebolle
 */
@ManagedBean(name = "catalogController")
@RequestScoped
public class CatalogController {

    @EJB
    private DateStateless date;
    
    @EJB
    private CatalogSingleton catalog;
    
    public CatalogController() {
    }
    
    public String getCurrentDate(){
        return this.date.getCurrentDate();
    }

    public ArrayList<Product> getProductList() {
        return this.catalog.getProductList();
    }
    
    public String addProduct(Product newProduct){
        this.catalog.add(newProduct);
        return "catalog-view";
    }

    public String deleteProduct(Product p){
        this.catalog.delete(p);
        return "catalog-view";
    }
}
